Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class TogglePanelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.DivPanelRenderer
                  org.richfaces.renderkit.html.TogglePanelRenderer

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

Direct Known Subclasses:
  AccordionRenderer, CollapsiblePanelRenderer, TabPanelRenderer

    public class TogglePanelRenderer

extends DivPanelRenderer
implements org.richfaces.renderkit.MetaComponentRenderer

Author:
  akolonitsky

Field Summary
`protected static String` | `BEFORE_ITEM_CHANGE`
`protected static String` | `ITEM_CHANGE`
`static String` | `VALUE_POSTFIX`

Constructor Summary
`TogglePanelRenderer()`

Method Summary
`static void` | `addEventOption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Map<String,Object> options, String eventName)`
`protected static void` | `addOnCompleteParam(javax.faces.context.FacesContext context, String newValue, String panelId)`
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`static AjaxOptions` | `getAjaxOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent panel)`
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`protected org.ajax4jsf.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected String` | `getStyleClass(javax.faces.component.UIComponent component)`
`protected boolean` | `isSubmitted(javax.faces.context.FacesContext context, AbstractTogglePanel panel)`
`protected void` | `partialEnd(javax.faces.context.FacesContext facesContext)`
`protected void` | `partialStart(javax.faces.context.FacesContext facesContext, String id)`

Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer
`attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement, writeJavaScript`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_POSTFIX

    public static final String VALUE_POSTFIX

See Also:
  Constant Field Values

### ITEM_CHANGE

    protected static final String ITEM_CHANGE

See Also:
  Constant Field Values

### BEFORE_ITEM_CHANGE

    protected static final String BEFORE_ITEM_CHANGE

See Also:
  Constant Field Values

Constructor Detail

### TogglePanelRenderer

    public TogglePanelRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### isSubmitted

    protected boolean isSubmitted(javax.faces.context.FacesContext context,
                                  AbstractTogglePanel panel)

### addOnCompleteParam

    protected static void addOnCompleteParam(javax.faces.context.FacesContext context,
                                             String newValue,
                                             String panelId)

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `DivPanelRenderer`
  Throws:
    `IOException`

### getStyleClass

    protected String getStyleClass(javax.faces.component.UIComponent component)

  Overrides:
    `getStyleClass` in class `DivPanelRenderer`

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `doEncodeChildren` in class `RendererBase`
  Throws:
    `IOException`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `DivPanelRenderer`
  Throws:
    `IOException`

### getScriptObject

    protected org.ajax4jsf.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                               javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObject` in class `DivPanelRenderer`

### getScriptObjectOptions

    protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObjectOptions` in class `DivPanelRenderer`

### addEventOption

    public static void addEventOption(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      Map<String,Object> options,
                                      String eventName)

### getAjaxOptions

    public static AjaxOptions getAjaxOptions(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent panel)

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `IOException`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### partialStart

    protected void partialStart(javax.faces.context.FacesContext facesContext,
                                String id)
                         throws IOException

  Throws:
    `IOException`

### partialEnd

    protected void partialEnd(javax.faces.context.FacesContext facesContext)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.